function url_process(linkurl, fileurl, str)
    local pattern_name = "<[Tt][Ii][Tt][Ll][Ee]>(.-) 下载中心—2G高速下载,IT.com.cn下载中心</[Tt][Ii][Tt][Ll][Ee]>"

    local pattern_ext  = ".*(%..*)%s*"
    local start, _, tmp

    local base_name, ext

    start, _, tmp = string.find(str, pattern_name)
    if start == nil then return ""  else base_name = tmp end

    start, _, tmp = string.find(linkurl, pattern_ext)
    if start == nil then return "" else ext = tmp end 

    return base_name .. ext
end

function url_query(str)
    local start
    local pattern_url = "http://download.it.com.cn/softweb/"

    start = string.find(str, pattern_url)
    if start == nil then return false end

    return true
end

f = {}
f.process = url_process
f.accept = url_query
inteligent_name_table["soft_it_com_cn.lua"] = f
